# This file created by conda-build 3.21.7
# meta.yaml template originally from:
# /workspace/conda/recipes/cugraph, last modified Wed Apr  6 18:05:34 2022
# ------------------------------------------------

package:
  name: cugraph
  version: 22.04.00
source:
  git_url: ../../..
build:
  number: '0'
  script_env:
    - CC
    - CUDAHOSTCXX
    - CXX
    - PARALLEL_LEVEL
  string: cuda11_py39_g58be5b53_0
requirements:
  build:
    - _openmp_mutex 4.5 1_gnu
    - abseil-cpp 20210324.2 h01db608_0
    - arrow-cpp 6.0.1 py39h99c8094_7_cuda
    - arrow-cpp-proc 3.0.0 cuda
    - aws-c-cal 0.5.11 h76602a3_0
    - aws-c-common 0.6.2 hf897c2e_0
    - aws-c-event-stream 0.2.7 hf314db3_13
    - aws-c-io 0.10.5 h5a3db43_0
    - aws-checksums 0.1.11 hafdcbdd_7
    - aws-sdk-cpp 1.8.186 h3fd84e4_3
    - bokeh 2.4.2 py39h4420490_0
    - bzip2 1.0.8 hf897c2e_4
    - c-ares 1.18.1 hf897c2e_0
    - ca-certificates 2021.10.8 h4fd8a4c_0
    - cachetools 5.0.0 pyhd8ed1ab_0
    - click 8.0.4 py39ha65689a_0
    - cloudpickle 2.0.0 pyhd8ed1ab_0
    - cuda-python 11.6.1 py39hbfd4b83_0
    - cudatoolkit 11.5.1 h506b3e9_9
    - cudf 22.04.00 cuda_11_py39_g8bf0520170_0
    - cupy 10.1.0 py39h5a99763_0
    - cython 0.29.28 py39h3d8bfb9_2
    - cytoolz 0.11.2 py39hb9a1dbb_2
    - dask 2022.3.0 pyhd8ed1ab_1
    - dask-core 2022.3.0 pyhd8ed1ab_0
    - dask-cuda 22.04.00 py39_0
    - distributed 2022.3.0 pyhd8ed1ab_0
    - dlpack 0.5 h01db608_0
    - fastavro 1.4.10 py39hb9a1dbb_0
    - fastrlock 0.8 py39h7735e2f_1
    - freetype 2.10.4 hdf53a3c_1
    - fsspec 2022.3.0 pyhd8ed1ab_0
    - gflags 2.2.2 h54f1f3f_1004
    - giflib 5.2.1 hb9de7d4_2
    - glog 0.5.0 hbffda88_0
    - grpc-cpp 1.42.0 h106df3f_1
    - heapdict 1.0.1 py_0
    - icu 70.1 ha18d298_0
    - jbig 2.1 hf897c2e_2003
    - jinja2 3.1.1 pyhd8ed1ab_0
    - joblib 1.1.0 pyhd8ed1ab_0
    - jpeg 9e h3557bc0_0
    - keyutils 1.6.1 h4e544f5_0
    - krb5 1.19.3 h7c456eb_0
    - lcms2 2.12 h012adcb_0
    - ld_impl_linux-aarch64 2.36.1 h02ad14f_2
    - lerc 3.0 h01db608_0
    - libblas 3.9.0 14_linuxaarch64_openblas
    - libbrotlicommon 1.0.9 h4e544f5_7
    - libbrotlidec 1.0.9 h4e544f5_7
    - libbrotlienc 1.0.9 h4e544f5_7
    - libcblas 3.9.0 14_linuxaarch64_openblas
    - libcudf 22.04.00 cuda11_g8bf0520170_0
    - libcugraph 22.04.00 cuda11_g58be5b53_0
    - libcugraphops 22.04.00 cuda11_gb44dd3c_0
    - libcurl 7.82.0 h8fd98b7_0
    - libcusolver 11.3.4.124 ha73d7d1_0
    - libdeflate 1.10 hf897c2e_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h516909a_1
    - libevent 2.1.10 h6aed413_4
    - libffi 3.4.2 h3557bc0_5
    - libgcc-ng 11.2.0 hf1cc4e7_14
    - libgfortran-ng 11.2.0 he9431aa_14
    - libgfortran5 11.2.0 h440fb59_14
    - libgomp 11.2.0 hf1cc4e7_14
    - libhwloc 2.3.0 h82a475f_1
    - libiconv 1.16 h6dd45c4_0
    - liblapack 3.9.0 14_linuxaarch64_openblas
    - libllvm11 11.1.0 h6293a0b_3
    - libnghttp2 1.47.0 h75cb1c7_0
    - libnsl 2.0.0 hf897c2e_0
    - libopenblas 0.3.20 pthreads_h6cb6f83_0
    - libpng 1.6.37 hbd635b3_2
    - libprotobuf 3.19.4 h469bdbd_0
    - libraft-headers 22.04.00 cuda11_ge987ec8_0
    - librmm 22.04.00 cuda11_g6797909_0
    - libssh2 1.10.0 h1ab2c7b_2
    - libstdcxx-ng 11.2.0 h0d0a5bb_14
    - libthrift 0.15.0 hb5cdc64_1
    - libtiff 4.3.0 hdea21e4_3
    - libutf8proc 2.7.0 hf897c2e_0
    - libuuid 2.32.1 hf897c2e_1000
    - libwebp 1.2.2 h21830e5_0
    - libwebp-base 1.2.2 hf897c2e_1
    - libxcb 1.13 h3557bc0_1004
    - libxml2 2.9.12 h370961a_2
    - libzlib 1.2.11 h4e544f5_1014
    - llvmlite 0.38.0 py39hbbff7ca_1
    - locket 0.2.0 py_2
    - lz4 4.0.0 py39hf77127a_1
    - lz4-c 1.9.3 h01db608_1
    - markupsafe 2.1.1 py39hb9a1dbb_1
    - msgpack-python 1.0.3 py39h110580c_1
    - nccl 2.10.3.1 h68d0c7c_0
    - ncurses 6.3 h01db608_0
    - numba 0.55.1 py39h0974df5_0
    - numpy 1.21.5 py39h13ff968_0
    - nvtx 0.2.3 py39h14843e3_1
    - openjpeg 2.4.0 h45037e0_1
    - openssl 1.1.1n h4e544f5_0
    - orc 1.7.2 h5c30ecb_0
    - packaging 21.3 pyhd8ed1ab_0
    - pandas 1.3.5 py39h03da0bc_0
    - parquet-cpp 1.5.1 2
    - partd 1.2.0 pyhd8ed1ab_0
    - pillow 9.1.0 py39h2a8e185_0
    - pip 22.0.4 pyhd8ed1ab_0
    - protobuf 3.19.4 py39h99ab00b_0
    - psutil 5.9.0 py39h0fd3b05_1
    - pthread-stubs 0.4 hb9de7d4_1001
    - pyarrow 6.0.1 py39h7b04178_7_cuda
    - pynvml 11.4.1 pyhd8ed1ab_0
    - pyparsing 3.0.7 pyhd8ed1ab_0
    - pyraft 22.04.00 cuda11_py39_ge987ec8_0
    - python 3.9.12 h2eada40_1_cpython
    - python-dateutil 2.8.2 pyhd8ed1ab_0
    - python_abi 3.9 2_cp39
    - pytz 2022.1 pyhd8ed1ab_0
    - pyyaml 6.0 py39h0fd3b05_4
    - re2 2021.11.01 h01db608_0
    - readline 8.1 h1a49cc3_0
    - rmm 22.04.00 cuda11_py39_g6797909_0
    - s2n 1.0.10 h6aed413_0
    - setuptools 59.8.0 py39h4420490_1
    - six 1.16.0 pyh6c4a22f_0
    - snappy 1.1.8 h54f1f3f_3
    - sortedcontainers 2.4.0 pyhd8ed1ab_0
    - spdlog 1.8.5 hd62202e_1
    - sqlite 3.37.1 hc74f5b8_0
    - tblib 1.7.0 pyhd8ed1ab_0
    - tk 8.6.12 hd8af866_0
    - toolz 0.11.2 pyhd8ed1ab_0
    - tornado 6.1 py39hb9a1dbb_3
    - typing_extensions 4.1.1 pyha770c72_0
    - tzdata 2022a h191b570_0
    - ucx 1.12.0+gd367332 cuda11.2_0
    - ucx-proc 1.0.0 gpu
    - ucx-py 0.25.00 py39_gd367332_0
    - wheel 0.37.1 pyhd8ed1ab_0
    - xorg-libxau 1.0.9 h3557bc0_0
    - xorg-libxdmcp 1.1.3 h3557bc0_0
    - xz 5.2.5 h6dd45c4_1
    - yaml 0.2.5 hf897c2e_2
    - zict 2.1.0 pyhd8ed1ab_0
    - zlib 1.2.11 h4e544f5_1014
    - zstd 1.5.2 h41fb7a4_0
  run:
    - cuda-python >=11.5,<12.0
    - cudatoolkit >=11,<12.0a0
    - cudf=22.04
    - dask-cuda 22.04.*
    - dask-cudf 22.04.*
    - dask==2022.03.0
    - distributed==2022.03.0
    - libcugraph=22.04.00
    - libraft-headers 22.04.*
    - pylibcugraph=22.04.00
    - pyraft 22.04.*
    - python >=3.9,<3.10.0a0
    - python_abi 3.9.* *_cp39
    - ucx-proc=*=gpu
    - ucx-py 0.25.*
about:
  home: http://rapids.ai/
  license: Apache-2.0
  license_file: ../../../LICENSE
  summary: cuGraph library
extra:
  copy_test_source_files: true
  final: true
